apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: kompose convert
    kompose.version: 1.32.0 (765fde254)
  labels:
    io.kompose.service: nginx
  name: nginx
spec:
  replicas: 1
  selector:
    matchLabels:
      io.kompose.service: nginx
  strategy:
    type: Recreate
  template:
    metadata:
      annotations:
        kompose.cmd: kompose convert
        kompose.version: 1.32.0 (765fde254)
      labels:
        io.kompose.service: nginx
    spec:
      containers:
          image: jc21/nginx-proxy-manager:latest
          name: nginx
          ports:
            - containerPort: 81
              protocol: TCP
            - containerPort: 80
              protocol: TCP
            - containerPort: 443
              protocol: TCP
          securityContext:
            privileged: true
          volumeMounts:
            - mountPath: /data
              name: data
            - mountPath: /etc/letsencrypt
              name: letsencrypt
      restartPolicy: Always
      volumes:
        - name: data
          hostPath:
            path: /media/kube/nginx/data
        - name: letsencrypt
          hostPath:
            path: /media/kube/nginx/letsencrypt
